org.keycloak.freemarker

## Class ExtendingThemeManager

- java.lang.Object
- - org.keycloak.freemarker.ExtendingThemeManager

- All Implemented Interfaces:
    ThemeProvider, Provider

      public class ExtendingThemeManager
      extends Object
      implements ThemeProvider

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExtendingThemeManager.ExtendingTheme`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendingThemeManager(KeycloakSession session, ConcurrentHashMap<ExtendingThemeManagerFactory.ThemeKey,Theme> themeCache)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `getProviderPriority()`
    `Theme` | `getTheme(String name, Theme.Type type)`
    `boolean` | `hasTheme(String name, Theme.Type type)`
    `Set<String>` | `nameSet(Theme.Type type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendingThemeManager

          public ExtendingThemeManager(KeycloakSession session,
                               ConcurrentHashMap<ExtendingThemeManagerFactory.ThemeKey,Theme> themeCache)

  - ### Method Detail

    - #### getProviderPriority

          public int getProviderPriority()

      Specified by:
        `getProviderPriority` in interface `ThemeProvider`

    - #### getTheme

          public Theme getTheme(String name,
                       Theme.Type type)
                         throws IOException

      Specified by:
        `getTheme` in interface `ThemeProvider`
      Throws:
        `IOException`

    - #### nameSet

          public Set<String> nameSet(Theme.Type type)

      Specified by:
        `nameSet` in interface `ThemeProvider`

    - #### hasTheme

          public boolean hasTheme(String name,
                         Theme.Type type)

      Specified by:
        `hasTheme` in interface `ThemeProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2014. All Rights Reserved.